//
//  IBMView.swift
//  Tabs
//
//  Created by Mark Meretzky on 12/18/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class IBMView: UIView {

	override init() {
		super.init(frame: CGRectZero);
		backgroundColor = UIColor.blueColor();
		contentMode = UIViewContentMode.Redraw;
	}
	
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)
	}

    // Only override drawRect: if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func drawRect(rect: CGRect) {
        // Drawing code
		var s: String;
		let url: NSURL? = NSURL(string: "http://finance.yahoo.com/d/quotes.csv?s=IBM&f=sl1t1d1");
		
		if url == nil {
			s = "malformed URL";
		} else {
			var error: NSError?;
			
			let contents: String? = String(contentsOfURL: url!,
				encoding: NSUTF8StringEncoding,
				error: &error);
			
			if contents != nil {
				s = contents!;
			} else if error != nil {
				s = error!.localizedDescription;
			} else {
				s = "unknown error";
			}
		}

		let font: UIFont = UIFont.systemFontOfSize(32);
		let attributes: [NSObject: AnyObject] = [NSFontAttributeName: font]; //a dictionary
		let point: CGPoint = CGPointMake(0, 20);
		s.drawAtPoint(point, withAttributes: attributes);
    }

}
